## Apache Zeta Components Manual :: Docs For Class ezcLogWriterException

### EventLog::ezcLogWriterException

### Class ezcLogWriterException

The ezcLogWriterException will be thrown when an ezcLogWriter or a subclass encounters an exceptional state.

This exception is a container, containing any kind of exception.

Source for this file: /EventLog/src/exceptions/writer_exception.php

    Exception
       |
       --ezcBaseException
          |
          --ezcLogWriterException

Version: | //autogen//

### Member Variables

public Exception | `$exception` The wrapped exception.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public ezcLogWriterException | `__construct( $e )` Constructs a new ezcLogWriterException with the original exception $e.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

ezcLogWriterException __construct( $e )

Constructs a new ezcLogWriterException with the original exception $e.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$e` | Exception |

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3